// JavaScript Document
/*----------------------------------------------------------
*****************  伍剑 斗地主 1.0  *****************
作者：张辉
网站：http://www.wj008.net 
程序员代号：wj008
联系QQ：496865687
版权：版权全体,源代码公开,各种用途均可免费使用
**********************************************************
----------------------------------------------------------*/
var M_xmlObj=null;
var urlDate="";
var XmlStr;

function GetDate()
{
	var surl ='ajax.asp?r='+ new Date().getTime()+Math.random();
	M_xmlObj=null;//为了内存不要被累加在调用前初始为空

	try { M_xmlObj=new XMLHttpRequest; }catch(e) {
	try { M_xmlObj=new ActiveXObject("MSXML2.XMLHTTP"); }catch(e2) {
	try { M_xmlObj=new ActiveXObject("Microsoft.XMLHTTP"); }catch(e3) { M_xmlObj=null; return;}}}

	M_xmlObj.open("POST",surl,true);
	M_xmlObj.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	M_xmlObj.send(urlDate);
	M_xmlObj.onreadystatechange=function(){if(M_xmlObj.readyState==4) {if(M_xmlObj.status==200) 
	{
		XmlStr=M_xmlObj.responseXML;
		ProcessData();
		//alert(M_xmlObj.responseText);
	}
	}}
}
//发送心跳
function SendDate(UrlStrDate)
{
	urlDate="";
	
	if(UrlStrDate!=null)
	{
		urlDate=UrlStrDate;
		
	}
	GetDate();
	if(UrlStrDate==null || UrlStrDate=="F=1")
	{
		
		setTimeout("SendDate()",1000);
	}
	
}
function ProcessData()
{
	if(XmlStr!=null)
	{
	///------------
	var GaBg=XmlStr.getElementsByTagName("GaBg");
	if(GaBg.length>0)
	{
	var GaBgStr=GaBg[0].firstChild.data;
	if(GaBgStr==1)
	SetGameBigin();
	}
	if(GaBgStr==0)
	{
		NewGame();
		BackOk(0);
	}
	
	var User=XmlStr.getElementsByTagName("User");
	if(User.length>0)
	{
		var UserObj =new   Object;
		UserObj.UM_Name="";
		UserObj.UU_Name="";
		UserObj.UD_Name="";
		UserObj.UM_JF=0;
		UserObj.UU_JF=0;
		UserObj.UD_JF=0;
	var XUM= User[0].getElementsByTagName("UMname");
	if(XUM.length>0)
	{
		var UseftStr=XUM[0].firstChild.data;
		if(UseftStr!=0)
		{
		UserObj.UM_Name=UseftStr;
		AddUsSelf(UseftStr);
		}
	}  
	var XUU= User[0].getElementsByTagName("UUname");
	if(XUU.length>0)
	{
		var UsUpStr=XUU[0].firstChild.data; 
		if(UsUpStr!=0)
		{
		UserObj.UU_Name=UsUpStr;
		AddUsUp(UsUpStr);
		}else
		{delUsUp();}
		
		
	}else{delUsUp();}
	var XUD= User[0].getElementsByTagName("UDname");
	if(XUD.length>0)
	{
		var UsDownStr=XUD[0].firstChild.data;
		if(UsDownStr!=0){
		UserObj.UD_Name=UsDownStr;
		AddUsDown(UsDownStr);
		}else
		{delUsDown();}
	}else{delUsDown();}
	var XUMJ=User[0].getElementsByTagName("UMJF");
	if(XUMJ.length>0)
	UserObj.UM_JF=XUMJ[0].firstChild.data;  
	var XUUJ=User[0].getElementsByTagName("UUJF");
	if(XUUJ.length>0)
	UserObj.UU_JF=XUUJ[0].firstChild.data;
	var XUDJ=User[0].getElementsByTagName("UDJF"); 
    if(XUDJ.length>0)
	UserObj.UD_JF=XUDJ[0].firstChild.data;
	AddUserObj(UserObj);
	}
	
	
	///------------	
	var UsMb=XmlStr.getElementsByTagName("UsMb");
	if(UsMb.length>0)
	{
	var UsMbStr=UsMb[0].firstChild.data;
	if(UsMbStr==1)
	SetReady(1)
	}
	//-------
	var UsUb=XmlStr.getElementsByTagName("UsUb");
	if(UsUb.length>0)
	{
	var UsUbStr=UsUb[0].firstChild.data;
	if(UsUbStr==1)
	SetReady(2)
	}
	
	var UsDb=XmlStr.getElementsByTagName("UsDb");
	if(UsDb.length>0)
	{
	var UsDbStr=UsDb[0].firstChild.data;
	if(UsDbStr==1)
	SetReady(3)
	}
	
	
	
	var UsCard=XmlStr.getElementsByTagName("UsCard");
	if(UsCard.length>0)
	{
	var UsMc=UsCard[0].getElementsByTagName("UsMc")[0].firstChild.data;  
	var UsMn=UsCard[0].getElementsByTagName("UsMn")[0].firstChild.data;  
	var UsUc=UsCard[0].getElementsByTagName("UsUc")[0].firstChild.data;  
	var UsUn=UsCard[0].getElementsByTagName("UsUn")[0].firstChild.data;  
	var UsDc=UsCard[0].getElementsByTagName("UsDc")[0].firstChild.data;  
	var UsDn=UsCard[0].getElementsByTagName("UsDn")[0].firstChild.data; 
    Gcak(UsMc,2,UsMn);
	Gcak(UsUc,1,UsUn);
	Gcak(UsDc,3,UsDn);
	CzhhenDiPai("-");
    BackOk(1);
	}
	
	var UsGd=XmlStr.getElementsByTagName("UsGd");
	if(UsGd.length>0)
	{
	var UM=UsGd[0].getElementsByTagName("UM")[0].firstChild.data;  
	var UU=UsGd[0].getElementsByTagName("UU")[0].firstChild.data;  
	var UD=UsGd[0].getElementsByTagName("UD")[0].firstChild.data;  
    SetQtime(UM,UU,UD);
	}
	var UsBoo=XmlStr.getElementsByTagName("UsBoo");
	if(UsBoo.length>0)
	{
	var UM=UsBoo[0].getElementsByTagName("UM")[0].firstChild.data;  
	var UU=UsBoo[0].getElementsByTagName("UU")[0].firstChild.data;  
	var UD=UsBoo[0].getElementsByTagName("UD")[0].firstChild.data;  
    SetQUsJiao(UM,UU,UD);//叫牌状态
	}
	
	var Dc=XmlStr.getElementsByTagName("Dc");
	if(Dc.length>0)
	{
	var DcStr=Dc[0].firstChild.data;
	CzhhenDiPai(DcStr);
	}
	
	
	var UBok=XmlStr.getElementsByTagName("UBok");
	if(UBok.length>0)
	{
	var UM=UBok[0].getElementsByTagName("UM")[0].firstChild.data;  
	var UU=UBok[0].getElementsByTagName("UU")[0].firstChild.data;  
	var UD=UBok[0].getElementsByTagName("UD")[0].firstChild.data; 
	var UsMc=UBok[0].getElementsByTagName("UsMc")[0].firstChild.data; 
	var UuMc=UBok[0].getElementsByTagName("UuMc")[0].firstChild.data; 
	var UdMc=UBok[0].getElementsByTagName("UdMc")[0].firstChild.data; 
	var UsMcN=UBok[0].getElementsByTagName("UsMcN")[0].firstChild.data; 
	var UuMcN=UBok[0].getElementsByTagName("UuMcN")[0].firstChild.data; 
	var UdMcN=UBok[0].getElementsByTagName("UdMcN")[0].firstChild.data; 
	
    SetQUsBooOk(UM,UU,UD,UsMc,UuMc,UdMc,UsMcN,UuMcN,UdMcN);//确认叫牌
	BackOk(2);
	}
	var ChuPai=XmlStr.getElementsByTagName("ChuPai");
	if(ChuPai.length>0&&Game==0)
	{
	var UM=ChuPai[0].getElementsByTagName("UM")[0].firstChild.data;  
	var UU=ChuPai[0].getElementsByTagName("UU")[0].firstChild.data;  
	var UD=ChuPai[0].getElementsByTagName("UD")[0].firstChild.data;  
    GenOderChuPai(UM,UU,UD)//
	}
	
	
	
	
	
	
	var Pai=XmlStr.getElementsByTagName("Pai");
	if(Pai.length>0&&Game==0)
	{
		
	var UM=Pai[0].getElementsByTagName("UM")[0].firstChild.data;  
	var UU=Pai[0].getElementsByTagName("UU")[0].firstChild.data;  
	var UD=Pai[0].getElementsByTagName("UD")[0].firstChild.data;  
    SetChuPai(UM,UU,UD)//
	

	var UuMc=Pai[0].getElementsByTagName("UuMc")[0].firstChild.data; 
	var UdMc=Pai[0].getElementsByTagName("UdMc")[0].firstChild.data; 
    var UsMc=Pai[0].getElementsByTagName("UsMc")[0].firstChild.data;
	var UsMcN=Pai[0].getElementsByTagName("UsMcN")[0].firstChild.data;
	var UuMcN=Pai[0].getElementsByTagName("UuMcN")[0].firstChild.data; 
	var UdMcN=Pai[0].getElementsByTagName("UdMcN")[0].firstChild.data; 
	UpDatePai(UsMc,UuMc,UdMc,UsMcN,UuMcN,UdMcN);
	}
	
	
	
	var PaiMian=XmlStr.getElementsByTagName("PaiMian");
	if(PaiMian.length>0&&Game==0)
	{
	
	var UsMc=PaiMian[0].getElementsByTagName("UsMc")[0].firstChild.data; 
	var UsMcN=PaiMian[0].getElementsByTagName("UsMcN")[0].firstChild.data; 
    UpDatePaiMian(UsMc,UuMc);
	}
	
	var OVER=XmlStr.getElementsByTagName("OVER");
	if(OVER.length>0)
	{
	var UM=OVER[0].getElementsByTagName("UM")[0].firstChild.data;  
	var UU=OVER[0].getElementsByTagName("UU")[0].firstChild.data;  
	var UD=OVER[0].getElementsByTagName("UD")[0].firstChild.data;  
    SetOVER(UM,UU,UD)//
	BackOk(7)
	}
	
	//=====================
	
	}
}
